Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImplicitPlaneWidget Class Reference

`#include <vtkImplicitPlaneWidget.h>`

Inheritance diagram for vtkImplicitPlaneWidget:

[legend]
Collaboration diagram for vtkImplicitPlaneWidget:

[legend]
List of all members.

## Detailed Description

3D widget for manipulating an infinite plane

Date:
  2002/12/02 19:31:39

Revision:
  1.9

This 3D widget defines an infinite plane that can be interactively placed in a scene. The widget is represented by a plane with a normal vector; the plane is contained by a bounding box, and where the plane intersects the bounding box the edges are shown (possibly tubed). The normal can be selected and moved to rotate the plane; the plane itself can be selected and translated in various directions. As the plane is moved, the implicit plane function and polygon (representing the plane cut against the bounding box) is updated.

To use this object, just invoke SetInteractor() with the argument of the method a vtkRenderWindowInteractor. You may also wish to invoke "PlaceWidget()" to initially position the widget. If the "i" key (for "interactor") is pressed, the vtkImplicitPlaneWidget will appear. (See superclass documentation for information about changing this behavior.) If you select the normal vector, the plane can be arbitrarily rotated. The plane can be translated along the normal by selecting the plane and moving it. The plane (the plane origin) can also be arbitrary moved by selecting the plane with the middle mouse button. The right mouse button can be used to uniformly scale the bounding box (moving "up" the box scales larger; moving "down" the box scales smaller). Events that occur outside of the widget (i.e., no part of the widget is picked) are propagated to any other registered obsevers (such as the interaction style). Turn off the widget by pressing the "i" key again (or invoke the Off() method).

The vtkImplicitPlaneWidget has several methods that can be used in conjunction with other VTK objects. The GetPolyData() method can be used to get a polygonal representation (the single polygon clipped by the bounding box). Typical usage of the widget is to make use of the StartInteractionEvent, InteractionEvent, and EndInteractionEvent events. The InteractionEvent is called on mouse motion; the other two events are called on button down and button up (either left or right button). (Note: there is also a PlaceWidgetEvent that is invoked when the widget is placed with PlaceWidget().)

Some additional features of this class include the ability to control the properties of the widget. You do this by setting property values on the normal vector (selected and unselected properties); the plane (selected and unselected properties); the outline (selected and unselected properties); and the edges. The edges may also be tubed or not.

Warning:
  Note that the widget can be picked even when it is "behind" other actors. This is an intended feature and not a bug.

See also:
  vtk3DWidget vtkBoxWidget vtkPlaneWidget vtkLineWidget vtkPointWidget vtkSphereWidget vtkImagePlaneWidget

Events:
  vtkCommand::EnableEvent vtkCommand::InteractionEvent vtkCommand::EndInteractionEvent vtkCommand::DisableEvent vtkCommand::StartInteractionEvent

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (95%)

CVS logs (CVSweb):
  - .`cxx` (`/Hybrid/vtkImplicitPlaneWidget.cxx)`
  - .`h` (`/Hybrid/vtkImplicitPlaneWidget.h)`

Examples:
  vtkImplicitPlaneWidget (Examples)

Tests:
  vtkImplicitPlaneWidget (Tests)

Definition at line 111 of file vtkImplicitPlaneWidget.h.

## Public Types
typedef vtkPolyDataSourceWidget | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | GetPolyData (vtkPolyData *pd)
vtkPolyDataSource * | GetPolyDataSource ()
void | GetPlane (vtkPlane *plane)
void | UpdatePlacement (void)
virtual void | SetEnabled (int)
virtual void | PlaceWidget (float bounds[6])
void | PlaceWidget ()
void | SetOrigin (float x, float y, float z)
void | SetOrigin (float x[3])
float * | GetOrigin ()
void | GetOrigin (float xyz[3])
void | SetNormal (float x, float y, float z)
void | SetNormal (float x[3])
float * | GetNormal ()
void | GetNormal (float xyz[3])
void | SetNormalToXAxis (int)
virtual int | GetNormalToXAxis ()
virtual void | NormalToXAxisOn ()
virtual void | NormalToXAxisOff ()
void | SetNormalToYAxis (int)
virtual int | GetNormalToYAxis ()
virtual void | NormalToYAxisOn ()
virtual void | NormalToYAxisOff ()
void | SetNormalToZAxis (int)
virtual int | GetNormalToZAxis ()
virtual void | NormalToZAxisOn ()
virtual void | NormalToZAxisOff ()
virtual void | SetTubing (int)
virtual int | GetTubing ()
virtual void | TubingOn ()
virtual void | TubingOff ()
void | SetDrawPlane (int plane)
virtual int | GetDrawPlane ()
virtual void | DrawPlaneOn ()
virtual void | DrawPlaneOff ()
virtual void | SetOutlineTranslation (int)
virtual int | GetOutlineTranslation ()
virtual void | OutlineTranslationOn ()
virtual void | OutlineTranslationOff ()
virtual vtkProperty * | GetNormalProperty ()
virtual vtkProperty * | GetSelectedNormalProperty ()
virtual vtkProperty * | GetPlaneProperty ()
virtual vtkProperty * | GetSelectedPlaneProperty ()
virtual vtkProperty * | GetOutlineProperty ()
virtual vtkProperty * | GetSelectedOutlineProperty ()
virtual vtkProperty * | GetEdgesProperty ()
## Static Public Methods
vtkImplicitPlaneWidget * | New ()
int | IsTypeOf (const char *type)
vtkImplicitPlaneWidget * | SafeDownCast (vtkObject *o)
## Protected Types
enum | WidgetState { Start = 0, MovingPlane, MovingOutline, MovingOrigin, Scaling, Pushing, Rotating, Outside }
## Protected Methods
| vtkImplicitPlaneWidget ()
| ~vtkImplicitPlaneWidget ()
void | OnLeftButtonDown ()
void | OnLeftButtonUp ()
void | OnMiddleButtonDown ()
void | OnMiddleButtonUp ()
void | OnRightButtonDown ()
void | OnRightButtonUp ()
void | OnMouseMove ()
void | UpdateRepresentation ()
void | HighlightOutline (int highlight)
void | HighlightPlane (int highlight)
void | HighlightNormal (int highlight)
void | ConstrainOrigin (float x[3])
void | Rotate (int X, int Y, double *p1, double *p2, double *vpn)
void | TranslatePlane (double *p1, double *p2)
void | TranslateOutline (double *p1, double *p2)
void | TranslateOrigin (double *p1, double *p2)
void | Push (double *p1, double *p2)
void | Scale (double *p1, double *p2, int X, int Y)
void | CreateDefaultProperties ()
void | GeneratePlane ()
virtual void | SizeHandles ()
## Static Protected Methods
void | ProcessEvents (vtkObject *object, unsigned long event, void *clientdata, void *calldata)
## Protected Attributes
int | State
int | NormalToXAxis
int | NormalToYAxis
int | NormalToZAxis
vtkPlane * | Plane
vtkImageData * | Box
vtkOutlineFilter * | Outline
vtkPolyDataMapper * | OutlineMapper
vtkActor * | OutlineActor
int | OutlineTranslation
vtkCutter * | Cutter
vtkPolyDataMapper * | CutMapper
vtkActor * | CutActor
int | DrawPlane
vtkFeatureEdges * | Edges
vtkTubeFilter * | EdgesTuber
vtkPolyDataMapper * | EdgesMapper
vtkActor * | EdgesActor
int | Tubing
vtkConeSource * | ConeSource
vtkPolyDataMapper * | ConeMapper
vtkActor * | ConeActor
vtkLineSource * | LineSource
vtkPolyDataMapper * | LineMapper
vtkActor * | LineActor
vtkConeSource * | ConeSource2
vtkPolyDataMapper * | ConeMapper2
vtkActor * | ConeActor2
vtkLineSource * | LineSource2
vtkPolyDataMapper * | LineMapper2
vtkActor * | LineActor2
vtkSphereSource * | Sphere
vtkPolyDataMapper * | SphereMapper
vtkActor * | SphereActor
vtkCellPicker * | Picker
vtkTransform * | Transform
vtkProperty * | NormalProperty
vtkProperty * | SelectedNormalProperty
vtkProperty * | PlaneProperty
vtkProperty * | SelectedPlaneProperty
vtkProperty * | OutlineProperty
vtkProperty * | SelectedOutlineProperty
vtkProperty * | EdgesProperty

## Member Typedef Documentation

typedef vtkPolyDataSourceWidget vtkImplicitPlaneWidget::Superclass

| Reimplemented from vtkPolyDataSourceWidget. Definition at line 117 of file vtkImplicitPlaneWidget.h.

## Member Enumeration Documentation

enum vtkImplicitPlaneWidget::WidgetState`[protected]`

  | Enumeration values:
  Start |
  MovingPlane |
  MovingOutline |
  MovingOrigin |
  Scaling |
  Pushing |
  Rotating |
  Outside |
Definition at line 236 of file vtkImplicitPlaneWidget.h.

## Constructor & Destructor Documentation

vtkImplicitPlaneWidget::vtkImplicitPlaneWidget | ( |  | ) | `[protected]`

vtkImplicitPlaneWidget::~vtkImplicitPlaneWidget | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImplicitPlaneWidget* vtkImplicitPlaneWidget::New | ( |  | ) | `[static]`

| Instantiate the object. Reimplemented from vtkObject.

virtual const char* vtkImplicitPlaneWidget::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSourceWidget.

int vtkImplicitPlaneWidget::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSourceWidget.

virtual int vtkImplicitPlaneWidget::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSourceWidget.

vtkImplicitPlaneWidget* vtkImplicitPlaneWidget::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSourceWidget.

void vtkImplicitPlaneWidget::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSourceWidget.

virtual void vtkImplicitPlaneWidget::SetEnabled | ( | int |  | ) | `[virtual]`

| Methods that satisfy the superclass' API. Implements vtkInteractorObserver.

virtual void vtkImplicitPlaneWidget::PlaceWidget | ( | float | bounds[6] | ) | `[virtual]`

| Methods that satisfy the superclass' API. Implements vtkPolyDataSourceWidget.

void vtkImplicitPlaneWidget::PlaceWidget | ( |  | ) | `[inline, virtual]`

| Methods that satisfy the superclass' API. Reimplemented from vtkPolyDataSourceWidget. Definition at line 124 of file vtkImplicitPlaneWidget.h.

void vtkImplicitPlaneWidget::SetOrigin | ( | float | x,
|  | float | y,
|  | float | z
| ) |

| Get the origin of the plane.

void vtkImplicitPlaneWidget::SetOrigin | ( | float | x[3] | ) |

| Get the origin of the plane.

float* vtkImplicitPlaneWidget::GetOrigin | ( |  | ) |

| Get the origin of the plane.

void vtkImplicitPlaneWidget::GetOrigin | ( | float | xyz[3] | ) |

| Get the origin of the plane.

void vtkImplicitPlaneWidget::SetNormal | ( | float | x,
|  | float | y,
|  | float | z
| ) |

| Get the normal to the plane.

void vtkImplicitPlaneWidget::SetNormal | ( | float | x[3] | ) |

| Get the normal to the plane.

float* vtkImplicitPlaneWidget::GetNormal | ( |  | ) |

| Get the normal to the plane.

void vtkImplicitPlaneWidget::GetNormal | ( | float | xyz[3] | ) |

| Get the normal to the plane.

void vtkImplicitPlaneWidget::SetNormalToXAxis | ( | int |  | ) |

| Force the plane widget to be aligned with one of the x-y-z axes. If one axis is set on, the other two will be set off. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

virtual int vtkImplicitPlaneWidget::GetNormalToXAxis | ( |  | ) | `[virtual]`

| Force the plane widget to be aligned with one of the x-y-z axes. If one axis is set on, the other two will be set off. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

virtual void vtkImplicitPlaneWidget::NormalToXAxisOn | ( |  | ) | `[virtual]`

| Force the plane widget to be aligned with one of the x-y-z axes. If one axis is set on, the other two will be set off. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

virtual void vtkImplicitPlaneWidget::NormalToXAxisOff | ( |  | ) | `[virtual]`

| Force the plane widget to be aligned with one of the x-y-z axes. If one axis is set on, the other two will be set off. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

void vtkImplicitPlaneWidget::SetNormalToYAxis | ( | int |  | ) |

| Force the plane widget to be aligned with one of the x-y-z axes. If one axis is set on, the other two will be set off. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

virtual int vtkImplicitPlaneWidget::GetNormalToYAxis | ( |  | ) | `[virtual]`

| Force the plane widget to be aligned with one of the x-y-z axes. If one axis is set on, the other two will be set off. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

virtual void vtkImplicitPlaneWidget::NormalToYAxisOn | ( |  | ) | `[virtual]`

| Force the plane widget to be aligned with one of the x-y-z axes. If one axis is set on, the other two will be set off. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

virtual void vtkImplicitPlaneWidget::NormalToYAxisOff | ( |  | ) | `[virtual]`

| Force the plane widget to be aligned with one of the x-y-z axes. If one axis is set on, the other two will be set off. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

void vtkImplicitPlaneWidget::SetNormalToZAxis | ( | int |  | ) |

| Force the plane widget to be aligned with one of the x-y-z axes. If one axis is set on, the other two will be set off. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

virtual int vtkImplicitPlaneWidget::GetNormalToZAxis | ( |  | ) | `[virtual]`

| Force the plane widget to be aligned with one of the x-y-z axes. If one axis is set on, the other two will be set off. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

virtual void vtkImplicitPlaneWidget::NormalToZAxisOn | ( |  | ) | `[virtual]`

| Force the plane widget to be aligned with one of the x-y-z axes. If one axis is set on, the other two will be set off. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

virtual void vtkImplicitPlaneWidget::NormalToZAxisOff | ( |  | ) | `[virtual]`

| Force the plane widget to be aligned with one of the x-y-z axes. If one axis is set on, the other two will be set off. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the plane to the axes if it is orginally not aligned.

virtual void vtkImplicitPlaneWidget::SetTubing | ( | int |  | ) | `[virtual]`

| Turn on/off tubing of the wire outline of the plane. The tube thickens the line by wrapping with a vtkTubeFilter.

virtual int vtkImplicitPlaneWidget::GetTubing | ( |  | ) | `[virtual]`

| Turn on/off tubing of the wire outline of the plane. The tube thickens the line by wrapping with a vtkTubeFilter.

virtual void vtkImplicitPlaneWidget::TubingOn | ( |  | ) | `[virtual]`

| Turn on/off tubing of the wire outline of the plane. The tube thickens the line by wrapping with a vtkTubeFilter.

virtual void vtkImplicitPlaneWidget::TubingOff | ( |  | ) | `[virtual]`

| Turn on/off tubing of the wire outline of the plane. The tube thickens the line by wrapping with a vtkTubeFilter.

void vtkImplicitPlaneWidget::SetDrawPlane | ( | int | plane | ) |

| Enable/disable the drawing of the plane. In some cases the plane interferes with the object that it is operating on (i.e., the plane interferes with the cut surface it produces producing z-buffer artifacts.)

virtual int vtkImplicitPlaneWidget::GetDrawPlane | ( |  | ) | `[virtual]`

| Enable/disable the drawing of the plane. In some cases the plane interferes with the object that it is operating on (i.e., the plane interferes with the cut surface it produces producing z-buffer artifacts.)

virtual void vtkImplicitPlaneWidget::DrawPlaneOn | ( |  | ) | `[virtual]`

| Enable/disable the drawing of the plane. In some cases the plane interferes with the object that it is operating on (i.e., the plane interferes with the cut surface it produces producing z-buffer artifacts.)

virtual void vtkImplicitPlaneWidget::DrawPlaneOff | ( |  | ) | `[virtual]`

| Enable/disable the drawing of the plane. In some cases the plane interferes with the object that it is operating on (i.e., the plane interferes with the cut surface it produces producing z-buffer artifacts.)

virtual void vtkImplicitPlaneWidget::SetOutlineTranslation | ( | int |  | ) | `[virtual]`

| Turn on/off the ability to translate the bounding box by grabbing it with the left mouse button.

virtual int vtkImplicitPlaneWidget::GetOutlineTranslation | ( |  | ) | `[virtual]`

| Turn on/off the ability to translate the bounding box by grabbing it with the left mouse button.

virtual void vtkImplicitPlaneWidget::OutlineTranslationOn | ( |  | ) | `[virtual]`

| Turn on/off the ability to translate the bounding box by grabbing it with the left mouse button.

virtual void vtkImplicitPlaneWidget::OutlineTranslationOff | ( |  | ) | `[virtual]`

| Turn on/off the ability to translate the bounding box by grabbing it with the left mouse button.

void vtkImplicitPlaneWidget::GetPolyData | ( | vtkPolyData * | pd | ) |

| Grab the polydata that defines the plane. The polydata contains a single polygon that is clipped by the bounding box.

vtkPolyDataSource* vtkImplicitPlaneWidget::GetPolyDataSource | ( |  | ) | `[virtual]`

| Satisfies superclass API. This returns a pointer to the underlying PolyData (which represents the plane). Implements vtkPolyDataSourceWidget.

void vtkImplicitPlaneWidget::GetPlane | ( | vtkPlane * | plane | ) |

| Get the implicit function for the plane. The user must provide the instance of the class vtkPlane. Note that vtkPlane is a subclass of vtkImplicitFunction, meaning that it can be used by a variety of filters to perform clipping, cutting, and selection of data.

void vtkImplicitPlaneWidget::UpdatePlacement | ( | void |  | ) | `[virtual]`

| Satisfies the superclass API. This will change the state of the widget to match changes that have been made to the underlying PolyDataSource Implements vtkPolyDataSourceWidget.

virtual vtkProperty* vtkImplicitPlaneWidget::GetNormalProperty | ( |  | ) | `[virtual]`

| Get the properties on the normal (line and cone).

virtual vtkProperty* vtkImplicitPlaneWidget::GetSelectedNormalProperty | ( |  | ) | `[virtual]`

| Get the properties on the normal (line and cone).

virtual vtkProperty* vtkImplicitPlaneWidget::GetPlaneProperty | ( |  | ) | `[virtual]`

| Get the plane properties. The properties of the plane when selected and unselected can be manipulated.

virtual vtkProperty* vtkImplicitPlaneWidget::GetSelectedPlaneProperty | ( |  | ) | `[virtual]`

| Get the plane properties. The properties of the plane when selected and unselected can be manipulated.

virtual vtkProperty* vtkImplicitPlaneWidget::GetOutlineProperty | ( |  | ) | `[virtual]`

| Get the property of the outline.

virtual vtkProperty* vtkImplicitPlaneWidget::GetSelectedOutlineProperty | ( |  | ) | `[virtual]`

| Get the property of the outline.

virtual vtkProperty* vtkImplicitPlaneWidget::GetEdgesProperty | ( |  | ) | `[virtual]`

| Get the property of the intersection edges. (This property also applies to the edges when tubed.)

void vtkImplicitPlaneWidget::ProcessEvents | ( | vtkObject * | object,
|  | unsigned long | event,
|  | void * | clientdata,
|  | void * | calldata
| ) | `[static, protected]`

| Handles the char widget activation event. Also handles the delete event. Reimplemented from vtkInteractorObserver.

void vtkImplicitPlaneWidget::OnLeftButtonDown | ( |  | ) | `[protected]`

void vtkImplicitPlaneWidget::OnLeftButtonUp | ( |  | ) | `[protected]`

void vtkImplicitPlaneWidget::OnMiddleButtonDown | ( |  | ) | `[protected]`

void vtkImplicitPlaneWidget::OnMiddleButtonUp | ( |  | ) | `[protected]`

void vtkImplicitPlaneWidget::OnRightButtonDown | ( |  | ) | `[protected]`

void vtkImplicitPlaneWidget::OnRightButtonUp | ( |  | ) | `[protected]`

void vtkImplicitPlaneWidget::OnMouseMove | ( |  | ) | `[protected]`

void vtkImplicitPlaneWidget::UpdateRepresentation | ( |  | ) | `[protected]`

void vtkImplicitPlaneWidget::HighlightOutline | ( | int | highlight | ) | `[protected]`

void vtkImplicitPlaneWidget::HighlightPlane | ( | int | highlight | ) | `[protected]`

void vtkImplicitPlaneWidget::HighlightNormal | ( | int | highlight | ) | `[protected]`

void vtkImplicitPlaneWidget::ConstrainOrigin | ( | float | x[3] | ) | `[protected]`

void vtkImplicitPlaneWidget::Rotate | ( | int | X,
|  | int | Y,
|  | double * | p1,
|  | double * | p2,
|  | double * | vpn
| ) | `[protected]`

void vtkImplicitPlaneWidget::TranslatePlane | ( | double * | p1,
|  | double * | p2
| ) | `[protected]`

void vtkImplicitPlaneWidget::TranslateOutline | ( | double * | p1,
|  | double * | p2
| ) | `[protected]`

void vtkImplicitPlaneWidget::TranslateOrigin | ( | double * | p1,
|  | double * | p2
| ) | `[protected]`

void vtkImplicitPlaneWidget::Push | ( | double * | p1,
|  | double * | p2
| ) | `[protected]`

void vtkImplicitPlaneWidget::Scale | ( | double * | p1,
|  | double * | p2,
|  | int | X,
|  | int | Y
| ) | `[protected]`

void vtkImplicitPlaneWidget::CreateDefaultProperties | ( |  | ) | `[protected]`

void vtkImplicitPlaneWidget::GeneratePlane | ( |  | ) | `[protected]`

virtual void vtkImplicitPlaneWidget::SizeHandles | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtk3DWidget.

## Member Data Documentation

int vtkImplicitPlaneWidget::State`[protected]`

| Definition at line 235 of file vtkImplicitPlaneWidget.h.

int vtkImplicitPlaneWidget::NormalToXAxis`[protected]`

| Definition at line 263 of file vtkImplicitPlaneWidget.h.

int vtkImplicitPlaneWidget::NormalToYAxis`[protected]`

| Definition at line 264 of file vtkImplicitPlaneWidget.h.

int vtkImplicitPlaneWidget::NormalToZAxis`[protected]`

| Definition at line 265 of file vtkImplicitPlaneWidget.h.

vtkPlane* vtkImplicitPlaneWidget::Plane`[protected]`

| Definition at line 269 of file vtkImplicitPlaneWidget.h.

vtkImageData* vtkImplicitPlaneWidget::Box`[protected]`

| Definition at line 272 of file vtkImplicitPlaneWidget.h.

vtkOutlineFilter* vtkImplicitPlaneWidget::Outline`[protected]`

| Definition at line 273 of file vtkImplicitPlaneWidget.h.

vtkPolyDataMapper* vtkImplicitPlaneWidget::OutlineMapper`[protected]`

| Definition at line 274 of file vtkImplicitPlaneWidget.h.

vtkActor* vtkImplicitPlaneWidget::OutlineActor`[protected]`

| Definition at line 275 of file vtkImplicitPlaneWidget.h.

int vtkImplicitPlaneWidget::OutlineTranslation`[protected]`

| Definition at line 277 of file vtkImplicitPlaneWidget.h.

vtkCutter* vtkImplicitPlaneWidget::Cutter`[protected]`

| Definition at line 280 of file vtkImplicitPlaneWidget.h.

vtkPolyDataMapper* vtkImplicitPlaneWidget::CutMapper`[protected]`

| Definition at line 281 of file vtkImplicitPlaneWidget.h.

vtkActor* vtkImplicitPlaneWidget::CutActor`[protected]`

| Definition at line 282 of file vtkImplicitPlaneWidget.h.

int vtkImplicitPlaneWidget::DrawPlane`[protected]`

| Definition at line 283 of file vtkImplicitPlaneWidget.h.

vtkFeatureEdges* vtkImplicitPlaneWidget::Edges`[protected]`

| Definition at line 287 of file vtkImplicitPlaneWidget.h.

vtkTubeFilter* vtkImplicitPlaneWidget::EdgesTuber`[protected]`

| Definition at line 288 of file vtkImplicitPlaneWidget.h.

vtkPolyDataMapper* vtkImplicitPlaneWidget::EdgesMapper`[protected]`

| Definition at line 289 of file vtkImplicitPlaneWidget.h.

vtkActor* vtkImplicitPlaneWidget::EdgesActor`[protected]`

| Definition at line 290 of file vtkImplicitPlaneWidget.h.

int vtkImplicitPlaneWidget::Tubing`[protected]`

| Definition at line 291 of file vtkImplicitPlaneWidget.h.

vtkConeSource* vtkImplicitPlaneWidget::ConeSource`[protected]`

| Definition at line 294 of file vtkImplicitPlaneWidget.h.

vtkPolyDataMapper* vtkImplicitPlaneWidget::ConeMapper`[protected]`

| Definition at line 295 of file vtkImplicitPlaneWidget.h.

vtkActor* vtkImplicitPlaneWidget::ConeActor`[protected]`

| Definition at line 296 of file vtkImplicitPlaneWidget.h.

vtkLineSource* vtkImplicitPlaneWidget::LineSource`[protected]`

| Definition at line 300 of file vtkImplicitPlaneWidget.h.

vtkPolyDataMapper* vtkImplicitPlaneWidget::LineMapper`[protected]`

| Definition at line 301 of file vtkImplicitPlaneWidget.h.

vtkActor* vtkImplicitPlaneWidget::LineActor`[protected]`

| Definition at line 302 of file vtkImplicitPlaneWidget.h.

vtkConeSource* vtkImplicitPlaneWidget::ConeSource2`[protected]`

| Definition at line 305 of file vtkImplicitPlaneWidget.h.

vtkPolyDataMapper* vtkImplicitPlaneWidget::ConeMapper2`[protected]`

| Definition at line 306 of file vtkImplicitPlaneWidget.h.

vtkActor* vtkImplicitPlaneWidget::ConeActor2`[protected]`

| Definition at line 307 of file vtkImplicitPlaneWidget.h.

vtkLineSource* vtkImplicitPlaneWidget::LineSource2`[protected]`

| Definition at line 310 of file vtkImplicitPlaneWidget.h.

vtkPolyDataMapper* vtkImplicitPlaneWidget::LineMapper2`[protected]`

| Definition at line 311 of file vtkImplicitPlaneWidget.h.

vtkActor* vtkImplicitPlaneWidget::LineActor2`[protected]`

| Definition at line 312 of file vtkImplicitPlaneWidget.h.

vtkSphereSource* vtkImplicitPlaneWidget::Sphere`[protected]`

| Definition at line 315 of file vtkImplicitPlaneWidget.h.

vtkPolyDataMapper* vtkImplicitPlaneWidget::SphereMapper`[protected]`

| Definition at line 316 of file vtkImplicitPlaneWidget.h.

vtkActor* vtkImplicitPlaneWidget::SphereActor`[protected]`

| Definition at line 317 of file vtkImplicitPlaneWidget.h.

vtkCellPicker* vtkImplicitPlaneWidget::Picker`[protected]`

| Definition at line 320 of file vtkImplicitPlaneWidget.h.

vtkTransform* vtkImplicitPlaneWidget::Transform`[protected]`

| Definition at line 323 of file vtkImplicitPlaneWidget.h.

vtkProperty* vtkImplicitPlaneWidget::NormalProperty`[protected]`

| Definition at line 336 of file vtkImplicitPlaneWidget.h.

vtkProperty* vtkImplicitPlaneWidget::SelectedNormalProperty`[protected]`

| Definition at line 337 of file vtkImplicitPlaneWidget.h.

vtkProperty* vtkImplicitPlaneWidget::PlaneProperty`[protected]`

| Definition at line 338 of file vtkImplicitPlaneWidget.h.

vtkProperty* vtkImplicitPlaneWidget::SelectedPlaneProperty`[protected]`

| Definition at line 339 of file vtkImplicitPlaneWidget.h.

vtkProperty* vtkImplicitPlaneWidget::OutlineProperty`[protected]`

| Definition at line 340 of file vtkImplicitPlaneWidget.h.

vtkProperty* vtkImplicitPlaneWidget::SelectedOutlineProperty`[protected]`

| Definition at line 341 of file vtkImplicitPlaneWidget.h.

vtkProperty* vtkImplicitPlaneWidget::EdgesProperty`[protected]`

| Definition at line 342 of file vtkImplicitPlaneWidget.h.

The documentation for this class was generated from the following file:

- Hybrid/vtkImplicitPlaneWidget.h